Bug 312281 - setroubleshoot requires gnome to run
Summary: setroubleshoot requires gnome to run
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-29 12:19 UTC by Gerwin Krist
Modified: 2008-05-21 14:25 UTC (History)
0 users

Fixed In Version: RHSA-2008-0061
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:25:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0061 normal SHIPPED_LIVE Moderate: setroubleshoot security and bug fix update 2008-05-21 14:25:59 UTC

Description Gerwin Krist 2007-09-29 12:19:51 UTC
Description of problem:
When you want setroubleshoot to run on your server without X you still need
a lot of gnome libs and gnome requirements. Now I install the rpm with --nodeps
option and it installs fine and works too.

Comment 1 John Dennis 2007-09-29 13:53:49 UTC
Yes, good point. Just after RHEL5 was released we split setroubleshoot into two
packages, a server only, and the desktop GUI just for the reason you cite. The
next time we update RHEL these changes should be pulled in, current planning has
the next update set for 5.2.

With some minor tweaks the current upstream/Fedora version could be made to
install on RHEL5 and that is on the list of work items ahead. I'll try to
remember to update this bugzilla when that occurs if you're interested.

Comment 2 Gerwin Krist 2007-09-29 17:40:50 UTC
Ye I would appreciate that :) 

Comment 3 RHEL Product and Program Management 2007-12-18 22:15:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 John Dennis 2008-01-09 16:15:06 UTC
RHEL 5.2 will be updated with the 2.0 setroubleshoot series, that contains the
package split between setroubleshoot and setroubleshoot-server.
setroubleshoot-server has no dependencies on GUI components.

Comment 8 errata-xmlrpc 2008-05-21 14:25:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0061.html



Note You need to log in before you can comment on or make changes to this bug.